/* Copyright (c) 2015 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

#ifndef NRF52_CONFIG_H
#define NRF52_CONFIG_H

#define CONFIG_AUDIO_ENABLED

#define DBG_RADIO_STATUS							31
#define DBG_PDM_HANDLER_PIN						30
#define DBG_PDM_AUDIO_BUFFER					27

#define CONFIG_IO_PDM_CLK								29
#define CONFIG_IO_PDM_DATA							28

#define CONFIG_AUDIO_PDM_GAIN 					0x38

#define CONFIG_PDM_FRAME_SIZE_SAMPLES		64
#define CONFIG_PCM_FRAME_SIZE_SAMPLES		64

// <o> Number of Audio Frame Buffers <2-16>
#define CONFIG_AUDIO_FRAME_BUFFERS 			16//6
// </h>

#define CONFIG_AUDIO_FRAME_SIZE_SAMPLES 64 //CONFIG_PCM_FRAME_SIZE_SAMPLES
#define CONFIG_AUDIO_FRAME_SIZE_BYTES   64


#define PCM_FLASH_START_ADDRESS 		0x60000//PSTORAGE_DATA_START_ADDR	
#define PCM_FLASH_END_ADDRESS				0x70000//PSTORAGE_DATA_END_ADDR
#define PCM_FLASH_SIZE							(PCM_FLASH_END_ADDRESS-PCM_FLASH_START_ADDRESS)

#endif // NRF_DRV_CONFIG_H
